ChiliProject - Feature # 817: Replace the current custom datepicker with the one shipped with jQuery
ul

Status: Closed Priority: Normal
Author: Holger Just Category: User interface
Created: 2012-01-05 Assignee:

Updated: 2012-07-15 Due date:

Remote issue URL:

Affected version:

Description: jQuery Ul ships with a "standard datepicker":http://jqueryui.com/demos/datepicker which could replace the
current datepicker which is patched and has no possibility to be upgraded as the upstream project went
commercial some time ago.

Associated revisions

2008-03-09 12:39 pm - Jean-Philippe Lang
Display date/time instead of date on files list (#817).

git-svn-id: http://redmine.rubyforge.org/svn/trunk@1215 €93f8b46-1217-0410-a6f0-8f06a7374b81

2012-07-15 03:19 pm - Felix SchAxfer
Add date_field and date_field_tag form helpers #817

History

2012-01-12 10:49 pm - Eric Davis
Looks like it supports i18n too. Just need to make sure it handles Monday/Sunday as the start of the week.

2012-02-15 05:09 am - Tom Rochette

Eric Davis wrote:

> Looks like it supports i18n too. Just need to make sure it handles Monday/Sunday as the start of the week.

It sure does handle monday/sunday as first day of the week. The date picker needs to be initialized with firstDay:

<pre>

$( ".selector" ).datepicker({ firstDay: 1 }); // Initialize with first day as Monday

</pre>

See: http://jqueryui.com/demos/datepicker/#option-firstDay

2012-02-15 12:20 pm - Felix Schéafer

And it seems it supports formatting the date in the textfield, as well as mirroring the result in a second field, so we could format the field shown to the

user according to the user preferences and still send it formatted so that rails understands it in the background.

2012-06-16 06:00 am - Andrew Smith
| completely forgot to comment on here when | created the Pull Request on GitHub - https://github.com/chiliproject/chiliproject/pull/174

The current version just replaces keeping the same functionality. It would be very simple to also support showing the date in the users format by
changing this line (and adding a hidden field)

https://github.com/chiliproject/chiliproject/pull/174/files#L0R928

Should that part of a different PR/commit though?

2012-06-16 04:34 pm - Felix Schafer
Andrew Smith wrote:

> Should that part of a different PR/commit though?

| think separate "jQuery replacement” and "enhancement made possible in the jQuery version" issues would be better indeed.

2012-06-16 04:35 pm - Felix Schafer
- Assignee set to Felix Schéfer

- Target version set to 3.3.0

- Status changed from Open to Ready for review

Furthermore, I'll try to have a look at this beginning of next week, thanks :-)

2012-06-21 09:51 pm - Felix Schafer

- Status changed from Ready for review to Open

- Assignee deleted (Felix Schéfer)

For the record: Reviewed the pull request, it needs some little improvements but is generally a step in the right direction. (and | can't assign it back to

Andrew <notextile>-_-"</notextile>)

2012-06-25 12:56 pm - Andrew Smith
- Assignee set to Felix Schéfer

after talking on IRC mentioned backporting RoR4 date fields and using that instead of needing to add a class to the fields.

2012-06-26 12:17 pm - Felix Schéfer

For the record: for forward compatibility (to avoid having to change stuff down the line) it was decided to work with the "html5 date input
fields":http://www.w3.org/wiki’HTML/Elements/input/date (that will also be available in "Rails
4":https://github.com/rails/rails/commit/d6b26a6040db97a55e23a7f10f2e9ba859eb11dc) instead of a html-class-based approach to find date input fields
and add a calendar to them. As Rails 2 (and probably 3) don't provide the necessary functionality for date fields though, they have been

"backported":https://github.com/EspadaV8/chiliproject/pull/1 to be part of this change.

One important note: this means #1018 is a blocker for this issue though as the date type is "not valid
html4":http://www.w3.org/TR/REC-html40/sgml/dtd.html#InputType.

2012-06-26 12:46 pm - Andrew Smith

#1018 should be a simple merge since changing the doctype as in the PR will still trigger standards mode for IE and all other browsers are smart

enough to know what's going on.

Using type="date" will just fall back to a text field for any browser that doesn't understand it (even without switching the doctype).

2012-07-02 08:31 pm - Felix Schéfer

- Assignee deleted (Felix Schéfer)

OK, I think we're on the last stride here, there's two minimal changes | commented on at the pull request and | think we're good to go :-)

2012-07-15 03:38 pm - Felix Schafer
- Status changed from Open to Closed

Merged in commit:ff94716, thanks!
